Payers
By default you make payments from yourself therefore this resource is optional. However if your Airwallex Account allows paying on behalf of others, you can create new payers and this resource becomes mandatory to be defined which payer you are paying from.
GET /api/v1/payersGET /api/v1/payers/{id}POST /api/v1/payers/{id}/deletePOST /api/v1/payers/{id}/updatePOST /api/v1/payers/createPOST /api/v1/payers/validate
Get list of payers
GET /api/v1/payers
Get list of payers with optional filters on from date/time, to date/time, names and entity type. Results are paginated, with default list limit of 50 results.
Filter on entity type of COMPANY or PERSONAL
The start date of created_at in ISO8601 format (inclusive)
Filter on name of payer
Filter on nickname of payer
Page number, starts from 0.
Number of results per page. Default value is 100.
The end date of created_at in ISO8601 format (inclusive)
A flag which identifies whether there are more results.
Paged results.
id used to uniquely identify this payer contact on the Airwallex platform
Nickname of the payer
Details of the payer
Payer's address details
Payer's country code (2-letter ISO 3166-2 country code)
Payer's city
Payer's post code
Payer's state
Payer's street address
Entity type of the payer
Additional information about the payer
Business registration number
Type of business as registered with the local government authority
Unique identifier of the person in your company
Personal email
Personal unique identifier number
Company name of the payer
Payer's date of birth
First name of the payer
Last name of the payer
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api.sandbox.airwallex.com/api/v1/payers' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "has_more": false,3 "items": [4 {5 "id": "46c22228-5831-4c53-a4fa-a3ab4954877c",6 "nickname": "Complete Concrete Pty Ltd",7 "payer": {8 "additional_info": {9 "business_registration_number": "EU300503",10 "business_registration_type": "Partnership",11 "external_id": "1234567890",12 "personal_email": "[email protected]",13 "personal_id_number": "1234567890"14 },15 "address": {16 "city": "Melbourne",17 "country_code": "AU",18 "postcode": "3000",19 "state": "VIC",20 "street_address": "15 William Street"21 },22 "company_name": "Complete Concrete Pty Ltd",23 "date_of_birth": "1976-08-26",24 "entity_type": "COMPANY",25 "first_name": "James",26 "last_name": "Smith"27 }28 }29 ]30}
Get a payer by ID
GET /api/v1/payers/{id}
Get a specific payer by specifying the Airwallex payer_id.
id of the payer contact to retrieve.
id used to uniquely identify this payer contact on the Airwallex platform
Nickname of the payer
Details of the payer
Payer's address details
Payer's country code (2-letter ISO 3166-2 country code)
Payer's city
Payer's post code
Payer's state
Payer's street address
Entity type of the payer
Additional information about the payer
Business registration number
Type of business as registered with the local government authority
Unique identifier of the person in your company
Personal email
Personal unique identifier number
Company name of the payer
Payer's date of birth
First name of the payer
Last name of the payer
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api.sandbox.airwallex.com/api/v1/payers/payer_id' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "id": "46c22228-5831-4c53-a4fa-a3ab4954877c",3 "nickname": "Complete Concrete Pty Ltd",4 "payer": {5 "additional_info": {6 "business_registration_number": "EU300503",7 "business_registration_type": "Partnership",8 "external_id": "1234567890",9 "personal_email": "[email protected]",10 "personal_id_number": "1234567890"11 },12 "address": {13 "city": "Melbourne",14 "country_code": "AU",15 "postcode": "3000",16 "state": "VIC",17 "street_address": "15 William Street"18 },19 "company_name": "Complete Concrete Pty Ltd",20 "date_of_birth": "1976-08-26",21 "entity_type": "COMPANY",22 "first_name": "James",23 "last_name": "Smith"24 }25}
Delete existing payer
POST /api/v1/payers/{id}/delete
Delete an existing payer stored on the Airwallex platform.
id of the payer contact to update.
OK
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/payers/payer_id/delete' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
Update existing payer
POST /api/v1/payers/{id}/update
Edit an existing payer stored on the Airwallex platform.
id of the payer contact to update.
Details of the payer
Payer's address details
Payer's country code (2-letter ISO 3166-2 country code)
Payer's city
Payer's post code
Payer's state
Payer's street address
Entity type of the payer
Additional information about the payer
Business registration number
Type of business as registered with the local government authority
Unique identifier of the person in your company
Personal email
Personal unique identifier number
Company name of the payer
Payer's date of birth
First name of the payer
Last name of the payer
Nickname of the payer
id used to uniquely identify this payer contact on the Airwallex platform
Nickname of the payer
Details of the payer
Payer's address details
Payer's country code (2-letter ISO 3166-2 country code)
Payer's city
Payer's post code
Payer's state
Payer's street address
Entity type of the payer
Additional information about the payer
Business registration number
Type of business as registered with the local government authority
Unique identifier of the person in your company
Personal email
Personal unique identifier number
Company name of the payer
Payer's date of birth
First name of the payer
Last name of the payer
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/payers/payer_id/update' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "nickname": "Complete Concrete Pty Ltd",> "payer": {> "additional_info": {> "business_registration_number": "EU300503",> "business_registration_type": "Partnership",> "external_id": "1234567890",> "personal_email": "[email protected]",> "personal_id_number": "1234567890"> },> "address": {> "city": "Melbourne",> "country_code": "AU",> "postcode": "3000",> "state": "VIC",> "street_address": "15 William Street"> },> "company_name": "Complete Concrete Pty Ltd",> "date_of_birth": "1976-08-26",> "entity_type": "COMPANY",> "first_name": "James",> "last_name": "Smith"> }>}'
1{2 "id": "46c22228-5831-4c53-a4fa-a3ab4954877c",3 "nickname": "Complete Concrete Pty Ltd",4 "payer": {5 "additional_info": {6 "business_registration_number": "EU300503",7 "business_registration_type": "Partnership",8 "external_id": "1234567890",9 "personal_email": "[email protected]",10 "personal_id_number": "1234567890"11 },12 "address": {13 "city": "Melbourne",14 "country_code": "AU",15 "postcode": "3000",16 "state": "VIC",17 "street_address": "15 William Street"18 },19 "company_name": "Complete Concrete Pty Ltd",20 "date_of_birth": "1976-08-26",21 "entity_type": "COMPANY",22 "first_name": "James",23 "last_name": "Smith"24 }25}
Create a new payer
POST /api/v1/payers/create
Create a new payer to be stored on the Airwallex platform.
Details of the payer
Payer's address details
Payer's country code (2-letter ISO 3166-2 country code)
Payer's city
Payer's post code
Payer's state
Payer's street address
Entity type of the payer
Additional information about the payer
Business registration number
Type of business as registered with the local government authority
Unique identifier of the person in your company
Personal email
Personal unique identifier number
Company name of the payer
Payer's date of birth
First name of the payer
Last name of the payer
Nickname of the payer
id used to uniquely identify this payer contact on the Airwallex platform
Nickname of the payer
Details of the payer
Payer's address details
Payer's country code (2-letter ISO 3166-2 country code)
Payer's city
Payer's post code
Payer's state
Payer's street address
Entity type of the payer
Additional information about the payer
Business registration number
Type of business as registered with the local government authority
Unique identifier of the person in your company
Personal email
Personal unique identifier number
Company name of the payer
Payer's date of birth
First name of the payer
Last name of the payer
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/payers/create' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "nickname": "Complete Concrete Pty Ltd",> "payer": {> "additional_info": {> "business_registration_number": "EU300503",> "business_registration_type": "Partnership",> "external_id": "1234567890",> "personal_email": "[email protected]",> "personal_id_number": "1234567890"> },> "address": {> "city": "Melbourne",> "country_code": "AU",> "postcode": "3000",> "state": "VIC",> "street_address": "15 William Street"> },> "company_name": "Complete Concrete Pty Ltd",> "date_of_birth": "1976-08-26",> "entity_type": "COMPANY",> "first_name": "James",> "last_name": "Smith"> }>}'
1{2 "id": "46c22228-5831-4c53-a4fa-a3ab4954877c",3 "nickname": "Complete Concrete Pty Ltd",4 "payer": {5 "additional_info": {6 "business_registration_number": "EU300503",7 "business_registration_type": "Partnership",8 "external_id": "1234567890",9 "personal_email": "[email protected]",10 "personal_id_number": "1234567890"11 },12 "address": {13 "city": "Melbourne",14 "country_code": "AU",15 "postcode": "3000",16 "state": "VIC",17 "street_address": "15 William Street"18 },19 "company_name": "Complete Concrete Pty Ltd",20 "date_of_birth": "1976-08-26",21 "entity_type": "COMPANY",22 "first_name": "James",23 "last_name": "Smith"24 }25}
Validate payer
POST /api/v1/payers/validate
Given a payer request, validate it and return all failed fields as a 400 response. No errors will be OK as a 200 response.
Details of the payer
Payer's address details
Payer's country code (2-letter ISO 3166-2 country code)
Payer's city
Payer's post code
Payer's state
Payer's street address
Entity type of the payer
Additional information about the payer
Business registration number
Type of business as registered with the local government authority
Unique identifier of the person in your company
Personal email
Personal unique identifier number
Company name of the payer
Payer's date of birth
First name of the payer
Last name of the payer
Nickname of the payer
OK
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/payers/validate' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "nickname": "Complete Concrete Pty Ltd",> "payer": {> "additional_info": {> "business_registration_number": "EU300503",> "business_registration_type": "Partnership",> "external_id": "1234567890",> "personal_email": "[email protected]",> "personal_id_number": "1234567890"> },> "address": {> "city": "Melbourne",> "country_code": "AU",> "postcode": "3000",> "state": "VIC",> "street_address": "15 William Street"> },> "company_name": "Complete Concrete Pty Ltd",> "date_of_birth": "1976-08-26",> "entity_type": "COMPANY",> "first_name": "James",> "last_name": "Smith"> }>}'